classification
Title: asyncio: KqueueEventLoopTests.test_read_pty_output() of test_asyncio hangs on OpenBSD 5.4
Type: Stage:
Components: Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: haypo, python-dev
Priority: normal Keywords: patch

Created on 2014-02-17 23:48 by haypo, last changed 2014-03-17 06:31 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
read_pty_openbsd.patch haypo, 2014-02-17 23:51 review
Messages (6)
msg211458 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2014-02-17 23:48
test_read_pty_output() hangs on OpenBSD 5.4, as it hangs on Mac OS older than 10.9 and FreeBSD. Attached patch skips the test.

See also issue #20666: asyncio is not available yet on OpenBSD.
msg211463 - (view) Author: Roundup Robot (python-dev) Date: 2014-02-18 00:31
New changeset d548829765cd by Victor Stinner in branch 'default':
Issue #20667: test_asyncio: Skip KqueueEventLoopTests.test_read_pty_output() on
http://hg.python.org/cpython/rev/d548829765cd
msg211464 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2014-02-18 00:32
Oh, we have a new OpenBSD 5.5 buildbot and it looks like test_asyncio is running on it. So let's try this new buildbot with my fix!

I keep the issue open until I get feedback from the buildbot and then I will port the change to Tulip.
http://buildbot.python.org/all/builders/x86%20OpenBSD%205.5%203.x/builds/11
msg211484 - (view) Author: Roundup Robot (python-dev) Date: 2014-02-18 08:20
New changeset b2498889ad8d by Victor Stinner in branch 'default':
Issue #20667: KqueueEventLoopTests.test_read_pty_output() hangs also on OpenBSD 5.5.
http://hg.python.org/cpython/rev/b2498889ad8d
msg211496 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2014-02-18 09:05
test_asyncio now pass on OpenBSD 5.5.
msg213831 - (view) Author: Roundup Robot (python-dev) Date: 2014-03-17 06:31
New changeset 5f1a4782184f by Victor Stinner in branch '3.4':
Issue #20667: test_asyncio: Skip KqueueEventLoopTests.test_read_pty_output() on
http://hg.python.org/cpython/rev/5f1a4782184f

New changeset add2c31ecfb1 by Victor Stinner in branch '3.4':
Issue #20667: KqueueEventLoopTests.test_read_pty_output() hangs also on OpenBSD 5.5.
http://hg.python.org/cpython/rev/add2c31ecfb1
History
Date User Action Args
2014-03-17 06:31:09python-devsetmessages: + msg213831
2014-02-18 09:05:44hayposetstatus: open -> closed
resolution: fixed
messages: + msg211496
2014-02-18 08:20:29python-devsetmessages: + msg211484
2014-02-18 00:32:51hayposetmessages: + msg211464
2014-02-18 00:31:08python-devsetnosy: + python-dev
messages: + msg211463
2014-02-17 23:51:35hayposetfiles: + read_pty_openbsd.patch
keywords: + patch
2014-02-17 23:50:02hayposettitle: asyncio: test_read_pty_output() of test_asyncio hangs on OpenBSD 5.4 -> asyncio: KqueueEventLoopTests.test_read_pty_output() of test_asyncio hangs on OpenBSD 5.4
2014-02-17 23:48:55haypocreate